
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>lintcode 滑动窗口的最大值(双端队列) / iVAN</title>

    <meta name="description" content="lintcode 滑动窗口的最大值(双端队列) 题目链接:http://www.lintcode.com/zh-cn/problem/sliding-window-maximum/# v滑动窗口的最大值 给出一个可能包含重复的整数数组,和一个大小为 k 的滑动窗口, 从左到右在数组中滑动这个窗口,找到数组中每个窗口内的最大值. v样例 给出数组 [1,2,7,7,8], 滑动窗口大小为 k = 3. 返回 [7,7,8]. 解释: 最开始,窗口的状态如下: [|1, 2 ,7| ,7 , 8], 最大值为 7; 然后窗口向右移动一位: [1,">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">lintcode 滑动窗口的最大值(双端队列)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<h4>题目链接：<a href="http://www.lintcode.com/zh-cn/problem/sliding-window-maximum/" rel="external nofollow noreferrer">http://www.lintcode.com/zh-cn/problem/sliding-window-maximum/#</a></h4>
<h2>v滑动窗口的最大值</h2>
<p>给出一个可能包含重复的整数数组，和一个大小为 <em>k</em> 的滑动窗口, 从左到右在数组中滑动这个窗口，找到数组中每个窗口内的最大值。</p>
<h2>v<strong>样例</strong></h2>
<p>给出数组 <code>[1,2,7,7,8]</code>, 滑动窗口大小为 <code>k = 3</code>. 返回 <code>[7,7,8]</code>.</p>
<p>解释：</p>
<p>最开始，窗口的状态如下：</p>
<p><code>[|1, 2 ,7| ,7 , 8]</code>, 最大值为 <code>7</code>;</p>
<p>然后窗口向右移动一位：</p>
<p><code>[1, |2, 7, 7|, 8]</code>, 最大值为 <code>7</code>;</p>
<p>最后窗口再向右移动一位：</p>
<p><code>[1, 2, |7, 7, 8|]</code>, 最大值为 <code>8</code>.</p>
<h2>v<strong>挑战</strong></h2>
<p>O(n)时间，O(k)的额外空间</p>
<h2>v解决方案：</h2>
<p>　　关于此题的理解， 为什么双端队列中插如的是数的索引，而不是数的本身？<br />
因为如果是数的本身，我们就无法判断窗口在移动的时候窗口里的数时候被移出窗口！</p>
<p>　　如果插入的是数的索引，那么该如何找出窗口中的最大值呢？<br />
我们用双端队列维护一个队首为大数索引，队尾为小树索引的队列， 如果将要插入索引对应的数大于队列末尾所对应的数，<br />
那么队列的末尾元素就被移出(此时将要插入的数和队尾元素对应的数一定在同一窗口，既然将要插入索引对应的数大于队列末尾所对应的数，那么队列末尾所对应的数一定没有机会成为窗口中的最大值);如果队列中队首值(窗口中元素最大数的索引) 不在新窗口的范围里了，那么也要移出队首元素。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1hZ2VzMjAxNS5jbmJsb2dzLmNvbS9ibG9nLzY0MDYzMi8yMDE1MTEvNjQwNjMyLTIwMTUxMTIwMTAzMDAwMTQwLTE5OTM1NTU1NDgucG5n.jpg"></p>
<pre><code>vector&lt;int&gt; maxSlidingWindow(vector&lt;int&gt; &amp;nums, int k) {
    deque&lt;int&gt; dq;
    vector&lt;int&gt; ret;
    int len = nums.size();
    for(int i=0; i&lt;k; ++i){
        while(!dq.empty() &amp;&amp; nums[i]&gt;nums[dq.back()])
            dq.pop_back();
        dq.push_back(i);
    }

    for(int i=k; i&lt;len; ++i){
        ret.push_back(nums[dq.front()]);

        while(!dq.empty() &amp;&amp; nums[i]&gt;nums[dq.back()])
            dq.pop_back();

        if(!dq.empty() &amp;&amp; dq.front() &lt;= i-k)
            dq.pop_front();

        dq.push_back(i);
    }
    ret.push_back(nums[dq.front()]);
    return ret;
}</code></pre>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 10:58:15</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>lintcode 滑动窗口的最大值(双端队列)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqAKdkM.html" rel="bookmark">lintcode二叉树的锯齿形层次遍历 （双端队列）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				v题目链接: http://www.lintcode.com/zh-cn/problem/binary-tree-zigzag-level-order-traversal/ v二叉树的锯齿形层次遍历  给出一棵二叉树,返回其节点值的锯齿形层次遍历(先从左往右,下一层再从右往左,层与层之间交替进行)  v样例 给出一棵二叉树 {3,9,20,#,#,15,7}, 3 / \ 9 20 / \ 15 7 返回其锯齿形的层次遍历为: [ [3], [20,9], [15,7] ] v思路: 我们用双端			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0YEDnp.html" rel="bookmark">剑指offer系列之六十三：滑动窗口的最大值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				题目描述 给定一个数组和滑动窗口的大小,找出所有滑动窗口里数值的最大值.例如,如果输入数组{2,3,4,2,6,2,5,1}及滑动窗口的大小3,那么一共存在6个滑动窗口,他们的最大值分别为{4,4,6,6,6,5}: 针对数组{2,3,4,2,6,2,5,1}的滑动窗口有以下6个: {[2,3,4],2,6,2,5,1}, {2,[3,4,2],6,2,5,1}, {2,3,[4,2,6],2,5,1}, {2,3,4,[2,6,2],5,1}, {2,3,4,2,[6,2,5],1}, {2,			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqLaDkb.html" rel="bookmark">双端队列算法练习题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				话说大学的时候老师说妹子比工作重要~,工作可以再换,妹子这个...所以...这两个月也就 一直忙着Fall in love,嗨,慢慢调整心态吧,这篇就选一个简单的数据结构聊一聊,话说有很多数据 结构都在玩组合拳,比如说:块状链表,块状数组,当然还有本篇的双端队列,是的,它就是栈和队列 的组合体. 一:概念 我们知道普通队列是限制级的一端进,另一端出的FIFO形式,栈 是一端进出的LIFO形式,而双端队列就没有这样的限制级,也就是我们可以在队列两端进行插入或者删 除操作. 二:编码 1:定义结构体			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJkV9Jb.html" rel="bookmark">【C&sol;C&plus;&plus;学院】0828-STL入门与简介&sol;STL容器概念&sol;容器迭代器仿函数算法STL概念例子&sol;栈队列双端队列优先队列&sol;数据结构堆的概念&sol;红黑树容器</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				STL入门与简介 #include&lt;iostream&gt; #include &lt;vector&gt;//容器 #include&lt;array&gt;//数组 #include &lt;algorithm&gt;//算法 using namespace std; //实现一个类模板,专门实现打印的功能 template&lt;class T&gt; //类模板实现了方法 class myvectorprint { public: void operator ()(const T &amp;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn7le2z.html" rel="bookmark">经典算法题每日演练&mdash;&mdash;第十九题 双端队列</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				     话说大学的时候老师说妹子比工作重要~,工作可以再换,妹子这个...所以...这两个月也就一直忙着Fall in love,嗨,慢慢调整心态吧, 这篇就选一个简单的数据结构聊一聊,话说有很多数据结构都在玩组合拳,比如说:块状链表,块状数组,当然还有本篇的双端队列,是的,它就是 栈和队列的组合体. 一:概念      我们知道普通队列是限制级的一端进,另一端出的FIFO形式,栈是一端进出的LIFO形式,而双端队列就没有这样的限制级,也就是我们可以在 队列两端进行插入或者删除操作. 二:编码			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bKYj4Lp.html" rel="bookmark">详解Python的collections模块中的deque双端队列结构&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				deque 是 double-ended queue的缩写,类似于 list,不过提供了在两端插入和删除的操作. appendleft 在列表左侧插入 popleft 弹出列表左侧的值 extendleft 在左侧扩展 例如: queue = deque() # append values to wait for processing queue.appendleft(&quot;first&quot;) queue.appendleft(&quot;second&quot;) queue.appendl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJOKQJb.html" rel="bookmark">Python实现的数据结构与算法之双端队列详解&lowbar;python</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Python实现的数据结构与算法之双端队列.分享给大家供大家参考.具体分析如下: 一.概述 双端队列(deque,全名double-ended queue)是一种具有队列和栈性质的线性数据结构.双端队列也拥有两端:队首(front).队尾(rear),但与队列不同的是,插入操作在两端(队首和队尾)都可以进行,删除操作也一样. 二.ADT 双端队列ADT(抽象数据类型)一般提供以下接口: ① Deque() 创建双端队列 ② addFront(item) 向队首插入项 ③ addRe			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2wjykM.html" rel="bookmark">Lua编程示例（三）：稀疏表、双端队列、格式化输出、表和循环表的格式化输出&lowbar;Lua</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				a={} for i=1,10 do a[i]={} for j=0,10 do if(i%2==0) then a[i][j]=0 end end end print(a[9][10]) print(a[10][10]) print() --双端队列 List={} function List.new() return {first = 0,last = -1} end function List.pushleft(list,value) local first= list.first-1 l			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MymygZM.html" rel="bookmark">STL队列 之FIFO队列&lpar;queue&rpar;、优先队列&lpar;priority&lowbar;queue&rpar;、双端队列&lpar;deque&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.FIFO队列     std::queue就是普通意思上的FIFO队列在STL中的模版. 1.1主要的方法有: (1)T front():访问队列的对头元素,并不删除对头元素 (2)T back():访问队列的末尾元素,并不删除末尾元素 (3)void pop():删除对头元素. (4)void push(T):元素入队 1.2代码实例 1 #include &lt;iostream&gt; 2 #include &lt;queue&gt; 3 using namespace std; 4 int m			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zenDNb.html" rel="bookmark" class="title">UIView的alpha、hidden和opaque属性之间的关系和区别&lbrack;转&rsqb;</a>
					<div>
						UIView的alpha.hidden和opaque属性之间的关系和区别 作者:wangzz 原文地址:http://blog.csdn.net/wzzvictory/article/details/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/apX9v5z.html" rel="bookmark" class="title">口碑网CEO李治国专访：独特的平衡之道</a>
					<div>
						网络时代,从来不缺少河南人的身影,但将这个行业做到极致的河南人却少之又少.李治国,这位豫籍网络新贵,其一手创建的口碑网与窄告网.赛我网.猫扑网.搜狗等一同获得了&quot;2005年中国互联网十佳创业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvEA5b.html" rel="bookmark" class="title">PHP&plus;APACHE实现用户论证的方法</a>
					<div>
						apache|论证 在专业的 Web 站台上,常常会需要使用者的帐号及密码,也就是身份确认的动作.早期的 NCSA httpd 伺服器并没有提供这项使用者确认的功能,Webmaster 只能用手工打造 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/vbQm8wb.html" rel="bookmark" class="title">为什么Google要做问答这东西？</a>
					<div>
						  20日下午,谷歌与天涯联合宣布,同时推出&quot;天涯问答&quot;和&quot;天涯来吧&quot;两款社区产品,这两款产品由谷歌中国工程研究院提供技术支持,天涯社区负责运营.  在天涯问答 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/5zO5mkM.html" rel="bookmark" class="title">用户体验设计&colon;细节设计带来好的用户体验</a>
					<div>
						文章描述:用户体验设计:细节设计带来好的用户体验. 对于互联网公司来说,用户体验起到至关重要的作用,能否给用户留下深刻的印象:开发出的产品是否实用.易用?等等这些都是开发者必将思考的话题.当有用性一样 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4ZgYM.html" rel="bookmark" class="title">附：源代码5：BBSLOGIN&period;HTM</a>
					<div>
						源代码 &lt;%user=split(application(&quot;OnlineUser&quot;),&quot;,&quot;,-1) '获得在线用户列表app = &quot;[&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4w4Grp.html" rel="bookmark" class="title">Photoshop：怎样精确校正严重偏色照片</a>
					<div>
						图片较大,若看不清楚.请点图片放大后阅读.					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wRkNp.html" rel="bookmark" class="title">ClearQuest最短状态转移路径算法的研究与实现</a>
					<div>
						CQ 状态转移模型概述: ClearQuest 是一个工业级的缺陷跟踪和变更管理工具,为了有效的实现缺陷跟踪和变更管理,ClearQuest 定义和实现了一系列概念和机制.在 ClearQuest 的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jL9ob.html" rel="bookmark" class="title">360电脑门诊解疑难杂症  图文搭配更直观</a>
					<div>
						对于绝大多数入门级电脑用户来说,因无法准确的用文字描述电脑故障,导致无法通过网络查找到相应解决方案的情形较为常见.为此,360安全卫士于近期更新了&quot;电脑门诊&quot;界面,给每一个电脑故障 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQPJyGz.html" rel="bookmark" class="title">Photoshop制作蒙太奇插画效果图</a>
					<div>
						  &quot;蒙太奇手法&quot;指电影剪辑中的镜头剪接特效手法,顾名思义,&quot;蒙太奇插画&quot;指的是将多幅图片有机的剪接组合,形成插画风格的图片. 这项看似复杂的技术其实很简单,我 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4wQGjp.html" rel="bookmark" class="title">如何取消谷歌浏览器提示的flash过期</a>
					<div>
						  打开各大chrome内核浏览器都会受到提示&quot;adobe flash player 因过期而遭到阻止&quot; 将Chrome谷歌浏览器升级到最新版本,即可不再显示Flash过期. 大家 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk2dlwM.html" rel="bookmark" class="title">PhotoShop用历史记录画笔磨皮法教程</a>
					<div>
						人像磨皮是一个伤心的话题! 我们要面对的模特,不可能都拥有完美皮肤,所以磨皮是我们都要面对的问题.但是一碰到磨皮,我们就会想 起很多复杂的词汇,高斯模糊.蒙板.透明度,太复杂了.这些复杂的PS功能以及 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7R37M.html" rel="bookmark" class="title">dxva</a>
					<div>
						自从我重新安装了操作系统(windows xp sp2)后,桌面上多了一个叫做dxva_sig.txt的文件,删除之后不久又会出现.虽然它不影响系统正常工作,但是显示在桌面上看起来很碍眼.请问这个问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mywm0Pz.html" rel="bookmark" class="title">无法停用U盘的处理办法</a>
					<div>
						  无法停用U盘的处理办法          想退出U盘时,点击右下方的&quot;安全删除硬件&quot;的图标,都会弹出一个对话框,&quot;现在无法停止'通用卷&quot;设备,请稍后再停止该 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAmk2M.html" rel="bookmark" class="title">Amazon S3-独立软件开发者的好帮手</a>
					<div>
						2007年的时候,我所属的Chambal.com团队正忙于开发一个桌面及网站搜索产品,它能索引远程数据和本地桌面内容,并提供搜索和统计功能.为此,我们不断探索各类竞争对手尚未触及的数据来源,Amazo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdEDd4z.html" rel="bookmark" class="title">hibernate集合排序问题。</a>
					<div>
						问题描述 hibernate集合排序问题. @Entity @Table(name=&quot;t_Group&quot;) public class Group { private int id;  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8ARxxz.html" rel="bookmark" class="title">windows-Windows 无法加载可扩展计数器 DLL rdyboos</a>
					<div>
						问题描述 Windows 无法加载可扩展计数器 DLL rdyboos Windows 无法加载可扩展计数器 DLL rdyboost.数据部分的前四个字节(DWORD)包含 Windows 错误代码 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd5P5b.html" rel="bookmark" class="title">javaweb-提交表单到数据库报错</a>
					<div>
						问题描述 提交表单到数据库报错 项目提交数据到数据库存储报错,在PM_PROJECT_STEP表中加了BID_BOND_TIME字段也不行还是报错,该怎么解决啊? [WARN,JDBCExceptio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQjK4GM.html" rel="bookmark" class="title">算法-小白问些关联规则挖掘上的问题，请各位指点一下。</a>
					<div>
						问题描述 小白问些关联规则挖掘上的问题,请各位指点一下. 请问一下apriori算法怎样用在数据表上?我在网上搜了一些,发现都是对事务数据库进行关联规则的挖掘的......那么如何用在表中呢?我想用来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Y8Zoz.html" rel="bookmark" class="title">手机隐患？960安全手机轻松搞定</a>
					<div>
						近期,央视315晚会刚刚了 曝光手机杀毒软件网秦串通飞流下载软件恶意扣取手机用户费用:安装飞流软件后会出现手机故障,只有通过网秦交费更新病毒库后才能正常使用.央视315晚会上公布了一组奇怪的现象:大量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eZJLb.html" rel="bookmark" class="title">MFC语言的stl中如何实现通过函数过滤非法的浮点数的输入</a>
					<div>
						问题描述 MFC语言的stl中如何实现通过函数过滤非法的浮点数的输入 MFC语言的stl中如何实现通过函数过滤非法的浮点数的输入,具体的函数代码怎么调用呢? 解决方案 这个和stl没有什么关系,你可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlL6PnM.html" rel="bookmark" class="title">拼汉字算法，感兴趣一起讨论</a>
					<div>
						问题描述 拼汉字算法,感兴趣一起讨论 有一些词组,比如:自由平等,富强民主,有效沟通,中国人民万岁.将这些汉字打乱,怎么样高效的将这些汉字,拼成词组 解决方案 随便组合还是要满足语义的要求?比如 有效 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgEg0Ez.html" rel="bookmark" class="title">jquery得到font-size属性值实现代码&lowbar;jquery</a>
					<div>
						复制代码 代码如下: var fontSize = $(this).attr('style',function(i,s){ return s.replace(/font-size:\s*(\d+.{0 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL5yOAz.html" rel="bookmark" class="title">ajax-Bootstrap插件File Input图片上传报错？怎么解决</a>
					<div>
						问题描述 Bootstrap插件File Input图片上传报错?怎么解决					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ17Wwb.html" rel="bookmark" class="title">洗衣机报修多日不处理金羚售后拖沓遭用户投诉</a>
					<div>
						洗衣机买来不到一年就坏了,多次打电话找人来维修,直到现在也没人来.&quot;昨日(7月13日),家住老莲塘一中宿舍楼的方先生投诉说. 方先生告诉记者,去年10月1日,他买了一台金羚牌洗衣机,今年6月 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9NEWXp.html" rel="bookmark" class="title">Y PPA Manager：图形化的PPA管理工具</a>
					<div>
						Y PPA Manager是一个图形化的PPA管理工具,虽然系统自带的软件源管理器以及Ubuntu-Tweak都有带更新源管理功能,但Y PPA Manager比它们更有优势,这个优势体现在操作的简洁 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWk0ZM.html" rel="bookmark" class="title">赢政天下 贺岁二〇〇七 商业软件大礼包 DVD 下载&lowbar;常用工具</a>
					<div>
						--== 特别感谢 ==-- (排名不分先后)simon1103(常乐).TiGer-X(YLMF).xunchi2006.jgun253(剑走偏锋).mycccc(肚朝前).astkong.hooo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4YalYb.html" rel="bookmark" class="title">【Android开发】布局管理器-线性布局</a>
					<div>
						这里实现垂直布局和水平布局: 垂直布局效果图: 实现代码: 垂直线性布局 res/layout/main.xml: &lt;LinearLayout xmlns:android=&quot;http: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVdOVnM.html" rel="bookmark" class="title">南京部分盐水鸭生产环境恶劣专项整治一个月</a>
					<div>
						早报记者 吴志刚 南京正宗&quot;桂花牌&quot;盐水鸭包装遭不少品牌仿冒,部分鸭制品企业生产环境恶劣.苍蝇横飞.针对近日被 曝光的南京盐水鸭市场乱象,早报记者了解到,如今南京盐水鸭的整体形象受 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5YxXap.html" rel="bookmark" class="title">星巴克福利 LYNE美区正版免费领取</a>
					<div>
						[TechWeb报道]星巴克送码活动再次来临,本次星巴克福利赠送的是这款风格清新的益智类小游戏LYNE.有美区账号的同学可速速收下,该应用原价2.99美金.你还在犹豫什么呢?免费获取:LYNELYNE ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
